/// <reference types="node" />
import { EventEmitter } from 'events';
import * as express from 'express';
import type { Socket } from 'net';
export declare class LoginServer extends EventEmitter {
    protected expressApp: express.Express;
    protected server: import('net').Server;
    protected serverSockets: Socket[];
    protected firstError: Error;
    protected token: string;
    readonly loginPath = "/auth";
    start({ host, port }?: {
        host?: string | undefined;
        port?: number | undefined;
    }): Promise<{
        host: string;
        port: number;
        urlPath: string;
    }>;
    getAddress(): {
        host: string;
        port: number;
        urlPath: string;
    };
    shutdown(): void;
    awaitForToken(): Promise<string>;
}
