import { flags } from '@oclif/command';
import type * as SDK from 'balena-sdk';
import Command from '../command';
interface FlagsDef {
    application?: string;
    config: boolean;
    device?: string;
    json: boolean;
    help: void;
    service?: string;
    verbose: boolean;
}
interface EnvironmentVariableInfo extends SDK.EnvironmentVariableBase {
    appName?: string | null;
    deviceUUID?: string;
    serviceName?: string;
}
export default class EnvsCmd extends Command {
    static description: string;
    static examples: string[];
    static usage: string;
    static flags: flags.Input<FlagsDef>;
    run(): Promise<void>;
    protected printVariables(varArray: EnvironmentVariableInfo[], options: FlagsDef): Promise<void>;
}
export {};
