"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const cf = require("../utils/common-flags");
const lazy_1 = require("../utils/lazy");
class KeysCmd extends command_1.default {
    async run() {
        this.parse(KeysCmd);
        const keys = await lazy_1.getBalenaSdk().models.key.getAll();
        const displayKeys = keys.map((k) => {
            return { id: k.id, name: k.title };
        });
        console.log(lazy_1.getVisuals().table.horizontal(displayKeys, ['id', 'name']));
    }
}
exports.default = KeysCmd;
KeysCmd.description = lazy_1.stripIndent `
		List the SSH keys in balenaCloud.

		List all SSH keys registered in balenaCloud for the logged in user.
	`;
KeysCmd.examples = ['$ balena keys'];
KeysCmd.usage = 'keys';
KeysCmd.flags = {
    help: cf.help,
};
KeysCmd.authenticated = true;
//# sourceMappingURL=keys.js.map