"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const cf = require("../utils/common-flags");
const lazy_1 = require("../utils/lazy");
class OrgsCmd extends command_1.default {
    async run() {
        this.parse(OrgsCmd);
        const { getOwnOrganizations } = await Promise.resolve().then(() => require('../utils/sdk'));
        const organizations = await getOwnOrganizations(lazy_1.getBalenaSdk());
        console.log(lazy_1.getVisuals().table.horizontal(organizations, ['name', 'handle']));
    }
}
exports.default = OrgsCmd;
OrgsCmd.description = lazy_1.stripIndent `
		List all organizations.

		list all the organizations that you are a member of.
`;
OrgsCmd.examples = ['$ balena orgs'];
OrgsCmd.usage = 'orgs';
OrgsCmd.flags = {
    help: cf.help,
};
OrgsCmd.authenticated = true;
//# sourceMappingURL=orgs.js.map