"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const cf = require("../utils/common-flags");
const lazy_1 = require("../utils/lazy");
class SettingsCmd extends command_1.default {
    async run() {
        this.parse(SettingsCmd);
        const settings = await lazy_1.getBalenaSdk().settings.getAll();
        const prettyjson = await Promise.resolve().then(() => require('prettyjson'));
        console.log(prettyjson.render(settings));
    }
}
exports.default = SettingsCmd;
SettingsCmd.description = lazy_1.stripIndent `
		Print current settings.

		Use this command to display the current balena CLI settings.
`;
SettingsCmd.examples = ['$ balena settings'];
SettingsCmd.usage = 'settings';
SettingsCmd.flags = {
    help: cf.help,
};
//# sourceMappingURL=settings.js.map