"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../command");
const lazy_1 = require("../utils/lazy");
class WhoamiCmd extends command_1.default {
    async run() {
        this.parse(WhoamiCmd);
        const balena = lazy_1.getBalenaSdk();
        const [username, email, url] = await Promise.all([
            balena.auth.whoami(),
            balena.auth.getEmail(),
            balena.settings.get('balenaUrl'),
        ]);
        console.log(lazy_1.getVisuals().table.vertical({ username, email, url }, [
            '$account information$',
            'username',
            'email',
            'url',
        ]));
    }
}
exports.default = WhoamiCmd;
WhoamiCmd.description = lazy_1.stripIndent `
		Display account information for current user.

		Get the username and email address of the currently logged in user.
	`;
WhoamiCmd.examples = ['$ balena whoami'];
WhoamiCmd.usage = 'whoami';
WhoamiCmd.authenticated = true;
//# sourceMappingURL=whoami.js.map