import type * as BalenaSdk from 'balena-sdk';
export interface ImgConfig {
    applicationName: string;
    applicationId: number;
    deviceType: string;
    userId: number;
    username: string;
    appUpdatePollInterval: number;
    listenPort: number;
    vpnPort: number;
    apiEndpoint: string;
    vpnEndpoint: string;
    registryEndpoint: string;
    deltaEndpoint: string;
    mixpanelToken: string;
    wifiSsid?: string;
    wifiKey?: string;
    initialDeviceName?: string;
    connectivity?: string;
    files?: {
        [filepath: string]: string;
    };
    deviceId?: number;
    uuid?: string;
    registered_at?: number;
    os?: {
        sshKeys?: string[];
    };
}
export declare function generateBaseConfig(application: BalenaSdk.Application, options: {
    version: string;
    appUpdatePollInterval?: number;
    deviceType?: string;
    os?: {
        sshKeys?: string[];
    };
}): Promise<ImgConfig>;
export declare function generateApplicationConfig(application: BalenaSdk.Application, options: {
    version: string;
    deviceType?: string;
    appUpdatePollInterval?: number;
}): Promise<ImgConfig>;
export declare function generateDeviceConfig(device: DeviceWithDeviceType & {
    belongs_to__application: BalenaSdk.PineDeferred;
}, deviceApiKey: string | true | undefined, options: {
    version: string;
}): Promise<ImgConfig>;
