"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripIndent = exports.getCliUx = exports.getCliForm = exports.getChalk = exports.getVisuals = exports.getBalenaSdk = exports.onceAsync = void 0;
const once = (fn) => {
    let cached;
    return () => {
        if (!cached) {
            cached = fn();
        }
        return cached;
    };
};
const onceAsync = (fn) => {
    let cached;
    return async () => {
        if (!cached) {
            cached = await fn();
        }
        return cached;
    };
};
exports.onceAsync = onceAsync;
exports.getBalenaSdk = once(() => require('balena-sdk').fromSharedOptions());
exports.getVisuals = once(() => require('resin-cli-visuals'));
exports.getChalk = once(() => require('chalk'));
exports.getCliForm = once(() => require('resin-cli-form'));
exports.getCliUx = once(() => require('cli-ux').ux);
exports.stripIndent = require('common-tags/lib/stripIndent');
//# sourceMappingURL=lazy.js.map