import type { BalenaSDK } from 'balena-sdk';
import { RegistrySecrets } from 'resin-multibuild';
import { ExpectedError } from '../errors';
export interface BuildOpts {
    dockerfilePath: string;
    emulated: boolean;
    nocache: boolean;
    registrySecrets: RegistrySecrets;
    headless: boolean;
    convertEol: boolean;
    multiDockerignore: boolean;
}
export interface RemoteBuild {
    appSlug: string;
    source: string;
    auth: string;
    baseUrl: string;
    nogitignore: boolean;
    opts: BuildOpts;
    sdk: BalenaSDK;
    releaseId?: number;
    hadError?: boolean;
}
export declare class RemoteBuildFailedError extends ExpectedError {
    constructor(message?: string);
}
export declare function startRemoteBuild(build: RemoteBuild): Promise<number | undefined>;
