/// <reference types="node" />
import * as _ from 'lodash';
import { TypedError } from 'typed-error';
export declare class ExecError extends TypedError {
    cmd: string;
    exitCode: number;
    constructor(cmd: string, exitCode: number);
}
export declare function exec(deviceIp: string, cmd: string, stdout?: NodeJS.WritableStream): Promise<void>;
export declare function execBuffered(deviceIp: string, cmd: string, enc?: string): Promise<string>;
export declare const getDeviceOsRelease: ((deviceIp: string) => Promise<string>) & _.MemoizedFunction;
export declare function spawnSshAndThrowOnError(args: string[], options?: import('child_process').SpawnOptions): Promise<void>;
