"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notify = void 0;
const isRoot = require("is-root");
const UpdateNotifier = require("update-notifier");
const packageJSON = require("../../package.json");
const balenaUpdateInterval = 1000 * 60 * 60 * 24 * 1;
let notifier;
function notify() {
    if (!notifier) {
        if (isRoot()) {
            return;
        }
        else {
            notifier = UpdateNotifier({
                pkg: packageJSON,
                updateCheckInterval: balenaUpdateInterval,
            });
        }
    }
    const up = notifier.update;
    if (up &&
        require('semver').lt(up.current, up.latest)) {
        notifier.notify({
            defer: false,
            message: `Update available ${up.current} → ${up.latest}\n
https://github.com/balena-io/balena-cli/blob/master/INSTALL.md`,
        });
    }
}
exports.notify = notify;
//# sourceMappingURL=update.js.map